.poster-container {
  position: relative;
  display: inline-block;
}

.poster-image {
  transition: 0.3s;
}

.rating {
  margin-right: 20px; /* adjust as needed */
}

@media (max-width: 600px) {
  .rating {
      margin-right: 3px; /* adjust as needed */
  }
}

.delete-icon {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  opacity: 0;
  transition: 0.3s;
  font-size: 30px; /* Adjust this value to make the icon bigger or smaller */
  cursor: pointer;
}

.grid-delete-icon {
  opacity: 0;
  cursor: pointer;
  font-size: 12px; /* Adjust this value to make the icon bigger or smaller */
}

.card:hover .grid-delete-icon {
  opacity: 1;
}

.card-img-container {
  position: relative;
}

.expand-icon {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  opacity: 0;
  transition: 0.3s;
  font-size: 40px; /* Adjust this value to make the icon bigger or smaller */
  cursor: pointer;
  color: rgba(48, 63, 159);
}

.card-img-container:hover .card-img-top {
  opacity: 0.35;
}

.poster-container:hover .poster-image {
  opacity: 0.2;
}

.poster-container:hover .delete-icon {
  opacity: 1;
}

.rating-container {
  display: flex;
  justify-content: space-between;
  margin-bottom: 0;
}

.no-link-pointer-cursor {
  color: inherit;
  text-decoration: none;
  cursor: pointer;
}

.card {
  box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2);
  transition: 0.3s;
  position: relative;
}

.card:hover {
  box-shadow: 0 12px 24px 0 rgba(0, 0, 0, 0.2);
  transform: scale(1.06);
}

.card:hover .expand-icon {
  opacity: 1;
}

.card:hover .watched-triangle:not(.watched) {
  opacity: 0.5;
}

.card-body {
  padding: 0.5rem;
  padding-bottom: 0px;
}

.custom-card-body {
  padding-bottom: 8px;
}

.watched-icon {
  position: absolute;
  top: 7px;
  right: 7px;
  font-size: 20px;
  color: #fff;
  cursor: pointer;
  z-index: 2;
  opacity: 0; /* Set initial opacity to 0 */
}

.card:hover .watched-icon {
  opacity: 1;
}

.watched-icon.always-visible {
  opacity: 1 !important;
}

.watched-triangle {
  position: absolute;
  top: 0;
  right: 0;
  width: 0;
  height: 0;
  border-left: 60px solid transparent;
  border-top: 60px solid #89CFF0;
  cursor: pointer;
  opacity: 0; /* Set initial opacity to 0 */
  transition: opacity 0.3s;
}

.card:hover .watched-icon:not(.watched) {
  opacity: 1;
}

.card:hover .watched-triangle,
.watched-triangle.watched {
  opacity: 1;
}

.watched-filter-group {
  display: flex;
  justify-content: space-between;
  width: 200px; /* Adjust this value to control the width of the button group */
}

.btn-custom {
  background-color: #C2185B;
  color: white;
  border: none;
}

.btn-custom-selected {
  background-color: #303F9F;
  color: #ffffff;
}

.btn-custom:focus, .btn-custom-selected:focus {
  outline: none;
  box-shadow: none;
}

.btn-custom:hover {
  background-color: #E91E63; /* Adjust this value to control the hover color */
}

@media (max-width: 600px) {
  .col-4 {
    padding-right: 5px; /* adjust as needed */
    padding-left: 5px; /* adjust as needed */
  }

  .watched-triangle {
    border-left: 35px solid transparent;
    border-top: 35px solid #89CFF0;
  }

  .watched-icon {
    top: 5px;
    right: 5px;
    font-size: 10px;
  }
}

